# Class JDXHeader

java.lang.Object
jspecview.source.JDXHeader

Direct Known Subclasses:
  `JDXDataObject, JDXSource`

public class JDXHeader extends Object
could be a spectrum or a source

Author:
  Bob Hanson

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JDXHeader.DataLDRTable`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`dataClass`
`String`
`dataType`
`String`
`date`
`protected Lst<String[]>`
`headerTable`
`String`
`jcampdx`
`String`
`longDate`
`String`
`origin`
`String`
`owner`
`String`
`time`
`String`
`title`

## Constructor Summary

Constructors
Constructor
Description
`JDXHeader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataClass()`
Returns the data class spectrum only
`String`
`getDataType()`
Getter for property dataType.
`String`
`getDate()`
Getter for property date.
`String[][]`
`getHeaderRowDataAsArray(boolean addDataClass, int nMore)`
`Lst<String[]>`
`getHeaderTable()`
Returns the table of headers
`String`
`getJcampdx()`
Getter for property jcampdx.
`String`
`getLongDate()`
Getter for property longDate.
`String`
`getOrigin()`
Getter for property origin.
`String`
`getOwner()`
Getter for property owner.
`String`
`getQualifiedDataType()`
`String`
`getTime()`
Getter for property time.
`String`
`getTitle()`
Getter for property title.
`void`
`setDataClass(String dataClass)`
Sets the data class
`void`
`setDataType(String dataType)`
Sets the data type
`void`
`setDate(String date)`
Sets the date the file was created
`void`
`setHeaderTable(Lst<String[]> table)`
Sets the headerTable for this Source or spectrum
`void`
`setJcampdx(String versionNum)`
Sets the JCAMP-DX version number
`void`
`setLongDate(String longDate)`
Sets the long date of when the file was created
`void`
`setOrigin(String origin)`
Sets the origin of the JCAMP-DX spectrum
`void`
`setOwner(String owner)`
Sets the owner
`void`
`setTime(String time)`
Sets the time the file was created
`void`
`setTitle(String title)`
Sets the title of the spectrum

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### title

public String title

### jcampdx

public String jcampdx

### dataType

public String dataType

### dataClass

public String dataClass

### origin

public String origin

### owner

public String owner

### longDate

public String longDate

### date

public String date

### time

public String time

### headerTable

protected Lst<String[]> headerTable

## Constructor Details

### JDXHeader

public JDXHeader()

## Method Details

### setTitle

public void setTitle(String title)
Sets the title of the spectrum

Parameters:
  `title` - the spectrum title

### setJcampdx

public void setJcampdx(String versionNum)
Sets the JCAMP-DX version number

Parameters:
  `versionNum` - the JCAMP-DX version number

### setDataType

public void setDataType(String dataType)
Sets the data type

Parameters:
  `dataType` - the data type

### setDataClass

public void setDataClass(String dataClass)
Sets the data class

Parameters:
  `dataClass` - the data class

### setOrigin

public void setOrigin(String origin)
Sets the origin of the JCAMP-DX spectrum

Parameters:
  `origin` - the origin

### setOwner

public void setOwner(String owner)
Sets the owner

Parameters:
  `owner` - the owner

### setLongDate

public void setLongDate(String longDate)
Sets the long date of when the file was created

Parameters:
  `longDate` - String

### setDate

public void setDate(String date)
Sets the date the file was created

Parameters:
  `date` - String

### setTime

public void setTime(String time)
Sets the time the file was created

Parameters:
  `time` - String

### getTitle

public String getTitle()
Getter for property title.

Returns:
  Value of property title.

### getQualifiedDataType

public String getQualifiedDataType()

### getJcampdx

public String getJcampdx()
Getter for property jcampdx.

Returns:
  Value of property jcampdx.

### getDataType

public String getDataType()
Getter for property dataType.

Returns:
  Value of property dataType.

### getOrigin

public String getOrigin()
Getter for property origin.

Returns:
  Value of property origin.

### getOwner

public String getOwner()
Getter for property owner.

Returns:
  Value of property owner.

### getLongDate

public String getLongDate()
Getter for property longDate.

Returns:
  Value of property longDate.

### getDate

public String getDate()
Getter for property date.

Returns:
  Value of property date.

### getTime

public String getTime()
Getter for property time.

Returns:
  Value of property time.

### getDataClass

public String getDataClass()
Returns the data class spectrum only

Returns:
  the data class

### setHeaderTable

public void setHeaderTable(Lst<String[]> table)
Sets the headerTable for this Source or spectrum

Parameters:
  `table` - the header table

### getHeaderTable

public Lst<String[]> getHeaderTable()
Returns the table of headers

Returns:
  the table of headers

### getHeaderRowDataAsArray

public String[][] getHeaderRowDataAsArray(boolean addDataClass, int nMore)